
From: Jun Sun <jsun@mvista.com>

'console_driver' is defined only when CONFIG_VT_CONSOLE is set.  However it
is used by vty_init() which is outside the scope of CONFIG_VT_CONSOLE.



---

 25-akpm/drivers/char/vt.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/char/vt.c~console_driver-definition-fix drivers/char/vt.c
--- 25/drivers/char/vt.c~console_driver-definition-fix	Wed Jan 21 15:51:28 2004
+++ 25-akpm/drivers/char/vt.c	Wed Jan 21 15:51:28 2004
@@ -2117,6 +2117,8 @@ void set_console(int nr)
 	schedule_console_callback();
 }
 
+struct tty_driver *console_driver;
+
 #ifdef CONFIG_VT_CONSOLE
 
 /*
@@ -2216,8 +2218,6 @@ quit:
 	clear_bit(0, &printing);
 }
 
-struct tty_driver *console_driver;
-
 static struct tty_driver *vt_console_device(struct console *c, int *index)
 {
 	*index = c->index ? c->index-1 : fg_console;

_
